Subject:  "Fatal error: Objects used as arrays.." with PHP 5.2.0
Description

I spend some time now, to understand this error:

Fatal error: Objects used as arrays in post/pre increment/decrement  
must return values by reference in /Users/air/Sites/ 
typo3_src-4.3.0alpha3/typo3/sysext/fluid/Classes/ViewHelpers/Form/ 
SelectViewHelper.php on line 148

It seems to be a php-problem, but I don't really understand, what this  
has to do with references :(

This issue occured using php 5.2.0, after update to 5.2.9, it worked.

-

This is not supposed to be like this, cause TYPO3 only requires 5.2.0 IIRC.

It's something that can be fixed quite easily, e.g. from
foreach ($this->arguments['options'] as $domainObject) {

to

$options = $this->arguments['options']
foreach ($options as $domainObject) {

History
#1 - 2009-07-24 00:43 - Christian Müller

As far as I know this was actually a problem in some PHP releases, so an PHP update fixing this bug seems OK to me. I would not like to make
workaround code for a PHP bug.

#2 - 2009-07-24 13:21 - Steffen Kamper

We considered in TYPO3 core not to make workarounds for PHP Bugs - these will be fixed in later releases anyway

#3 - 2009-07-29 17:45 - Jochen Rau
- Status changed from New to Closed
- Assigned To set to Jochen Rau
- Priority changed from Should have to Won't have this time
#4 - 2009-10-21 17:53 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)
